summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xutils/lxc.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/utils/lxc.sh b/utils/lxc.sh
index 79cb1c04f..f065bf3c7 100755
--- a/utils/lxc.sh
+++ b/utils/lxc.sh
@@ -142,11 +142,11 @@ main() {
local _usage="unknown or missing $1 command $2"
# don't check prerequisite when in recursion
- if [[ ! $1 == __* ]]; then
+ if [[ ! $1 == __* ]] && [[ ! $1 == --help ]]; then
if ! in_container; then
! required_commands lxc && lxd_info && exit 42
fi
- [[ -z $LXC_SUITE ]] && err_msg "missing LXC_SUITE" && exit 42
+ [[ -z $LXC_SUITE ]] && err_msg "missing LXC_SUITE" && exit 42
fi
case $1 in